#!/usr/bin/env python

from sys import argv
import Scientific.IO.NetCDF as NetCDF
import numpy as np
import shutil
import re
argv.pop(0)

iaux = 0
ilambda = 0

for arg in argv:
	ncfile = NetCDF.NetCDFFile(arg,'r')
	MDTC   = np.array( ncfile.variables['MDTC'].getValue() )
	theta0 = np.array( ncfile.variables['theta0'].getValue() )   
	theta = np.array( ncfile.variables['theta'].getValue() )   
	dat = open(arg.replace(".nc", ".data"), "w")
	for i, itheta0 in enumerate(theta0):
		dat.write("# t0 = " +str(itheta0)+ "\n")
		dat.write("# index = " +str(i)+ "\n")
		MDTC_tmp_incho = MDTC[1,iaux,ilambda,i,:]
		MDTC_tmp_coh = MDTC[0,iaux,ilambda,i,:]
		MDTC_tmp_tot = MDTC_tmp_incho + MDTC_tmp_coh
		for j, t in enumerate(theta):
			dat.write(str(t) + " " + str(MDTC_tmp_incho[j]) + " " + str(MDTC_tmp_coh[j]) + " " + str(MDTC_tmp_tot[j]) + "\n")
		dat.write("\n")
		dat.write("\n")
	ncfile.close()
	dat.close()
print "Done"
